Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet
Class RemoteHttpSessionFacade

    java.lang.Object
      php.java.servlet.HttpSessionFacade
          php.java.servlet.RemoteHttpSessionFacade

All Implemented Interfaces:
  ISession

    public class RemoteHttpSessionFacade

extends HttpSessionFacade

A custom session, used when remote PHP scripts access the servlet.In this case only the session object is available, the HttpServletRequest, HttpServletResponse and ServletContext objects are set to null.

Method Summary
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` throws IllegalStateException
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()` throws IllegalStateException.
`javax.servlet.ServletContext` | `getServletContext()` throws IllegalStateException

Methods inherited from class php.java.servlet.HttpSessionFacade
`destroy, get, getAll, getCreationTime, getLastAccessedTime, getSessionCount, getTimeout, isNew, put, putAll, remove, setTimeout`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  throws IllegalStateException

  Overrides:
    `getHttpServletRequest` in class `HttpSessionFacade`
  Returns:
    The HttpServletRequest.
  Throws:
    `java.lang.IllegalStateException`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  throws IllegalStateException

  Overrides:
    `getServletContext` in class `HttpSessionFacade`
  Returns:
    The ServletContext.
  Throws:
    `java.lang.IllegalStateException`

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  throws IllegalStateException.

  Overrides:
    `getHttpServletResponse` in class `HttpSessionFacade`
  Returns:
    The ServletResponse.
  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD